<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity-a</title>
<body> <em>Science and Engineering Ethics (2001) 7, 231-238</em></body>
	<hr>

</head>
	<h1>Software Engineering Code of Ethics and
	<br>Professional Practice</h1>

	<h2>IEEE-CS/ACM Joint task Force on Software Engineering Ethics and Professional Practices</h2>
	<hr>

	<h3>Keywords: code of ethics, professional responsibility, software engineering</h3>
	<h4>PREAMBLE</h4>


<body>
	<p>The short version of the code summarize aspirations at a high level of abstraction. The clauses that 
		<br>are included in the full version give examples and details of how these aspirations change the way we 
		<br>act as software engineering professionals. Without the aspirations, the details can become legalistic 
		<br>and tedius; without the details, the aspirations can become high-sounding but empty; together, the 
		<br>aspirations and the details from a cohesive code.</p>
		<br>
	<p>Software engineers shall commit themselves to making the analysis, specification, design, 
		<br>development, testing, and maintenance of software a beneficial and respected profession. In 
		<br>accordance with their commitment to the health, safety, and welfare of the public, software engineer 
		<br>shall adhere to the following eight Principles:</p>	
</body>
	<h5>PRINCIPLES</h5>

		<ol>
			<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
			<li><em>Client</em> and employer. Software engineers shall act in a manner that is in the best interest of 
				<br>client and employer, consistent with the public interest.</li>
			<li><em>Product</em>. Software engineers shall ensure that their products and related modifications meet the <br>highest professional standards possible</li>
			<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional 
				<br>judgement.</li>
			<li><em>Management</em>. Software engineering managers and leaders shall subscribed to and promote an <br>ethical approach to the management of software development and maintenance</li>
			<li><em>Profession</em>. Software engineers shall advance the integrity and reputation of the profession <br>consistent with the public interest.</li>
			<li><em>Collegues</em>. Software engineers shall be fair to and supportive of their colleagues,</li>
			<li><em>Self</em>. Software engineers shall participate in lifelong learining regarding the practice of their <br>profession and shall promote an ethical approach to the practice of the profession.</li>
		</ol>	
	


</html>